跳轉到主要內容
GET
/
v2
/
dex
/
{chain}
/
quote
Dex - 取得報價
curl --request GET \
  --url https://api.chainstream.io/v2/dex/{chain}/quote \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.chainstream.io/v2/dex/{chain}/quote"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.chainstream.io/v2/dex/{chain}/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "amountOut": "1000000000",
  "minAmountOut": "<string>",
  "currentPrice": "<string>",
  "executionPrice": "<string>",
  "priceImpact": "10.5",
  "fee": "1000000000"
}

授權

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路徑參數

chain
enum<string>
必填

支援網路列表中的鏈名稱

可用選項:
sol,
bsc,
eth

查詢參數

dex
enum<string>
必填

DEX 協議類型

可用選項:
raydium,
pumpfun
範例:

"raydium"

amount
string
必填

交易數量

範例:

1000000000

inputMint
string
必填

輸入代幣地址

範例:

"6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN"

outputMint
string
必填

輸出代幣地址

範例:

"So11111111111111111111111111111111111111112"

exactIn
boolean
預設值:true
必填

精確輸入模式

範例:

true

slippage
integer<int64>
必填

滑點容忍度

範例:

10

回應

200 - application/json
amountOut
string

輸出數量

範例:

"1000000000"

minAmountOut
string

最小輸出數量

currentPrice
string

目前價格

executionPrice
string

執行價格

priceImpact
string

價格影響

範例:

"10.5"

fee
string

交易手續費

範例:

"1000000000"